unit Command;

interface

const
  cmStayOnTop = 'stayontop';
  cmNextMonth = 'nextmonth';
  cmPrevMonth = 'prevmonth';
  cmThisMonth = 'thismonth';
  cmZoom100 = 'zoom100';
  cmZoom200 = 'zoom200';
  cmZoom300 = 'zoom300';
  cmAbout = 'about';
  cmExit = 'exit';

  CmdList: array[0..8] of string = (
    cmStayOnTop,
    cmNextMonth,
    cmPrevMonth,
    cmThisMonth,
    cmZoom100,
    cmZoom200,
    cmZoom300,
    cmAbout,
    cmExit
  );

  DefaultKeys: array[0..11*2-1] of string = (
    'left',  cmPrevMonth,
    'right', cmNextMonth,
    'esc',   cmExit,
    'space', cmThisMonth,
    '1',     cmZoom100,
    '2',     cmZoom200,
    '3',     cmZoom300,
    'n',     cmNextMonth,
    'p',     cmPrevMonth,
    't',     cmStayOnTop,
    'c-w',   cmExit
  );

  MenuItems: array[0..13*2-1] of string = (
    '&Previous Month', cmPrevMonth,
    '&Next Month',     cmNextMonth,
    'T&his Month',     cmThisMonth,
    '-',               '-',
    'Zoom &100%',      cmZoom100,
    'Zoom &200%',      cmZoom200,
    'Zoom &300%',      cmZoom300,
    '-',               '-',
    'Stay On &Top',    cmStayOnTop,
    '-',               '-',
    '&About',          cmAbout,
    '-',               '-',
    'E&xit',           cmExit
  );

implementation
end.
